org.eclipse.viatra.cep.core.metamodels.automaton

## Interface Parameter

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ParameterImpl

      public interface Parameter
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Parameter'.

  The following features are supported:

  - `Position`
  - `Symbolic Name`
  - `Transition`
  See Also:
    `AutomatonPackage.getParameter()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPosition()` Returns the value of the 'Position' attribute.
    `java.lang.String` | `getSymbolicName()` Returns the value of the 'Symbolic Name' attribute.
    `TypedTransition` | `getTransition()` Returns the value of the 'Transition' container reference.
    `void` | `setPosition(int value)` Sets the value of the '`Position`' attribute.
    `void` | `setSymbolicName(java.lang.String value)` Sets the value of the '`Symbolic Name`' attribute.
    `void` | `setTransition(TypedTransition value)` Sets the value of the '`Transition`' container reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPosition

          int getPosition()

      Returns the value of the 'Position' attribute.

      If the meaning of the 'Position' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Position' attribute.
      See Also:
        `setPosition(int)`, `AutomatonPackage.getParameter_Position()`
      Generated:
      Model:
        required="true"

    - #### setPosition

          void setPosition(int value)

      Sets the value of the '`Position`' attribute.
      Parameters:
        `value` - the new value of the 'Position' attribute.
      See Also:
        `getPosition()`
      Generated:

    - #### getSymbolicName

          java.lang.String getSymbolicName()

      Returns the value of the 'Symbolic Name' attribute.

      If the meaning of the 'Symbolic Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Symbolic Name' attribute.
      See Also:
        `setSymbolicName(String)`, `AutomatonPackage.getParameter_SymbolicName()`
      Generated:
      Model:
        required="true"

    - #### setSymbolicName

          void setSymbolicName(java.lang.String value)

      Sets the value of the '`Symbolic Name`' attribute.
      Parameters:
        `value` - the new value of the 'Symbolic Name' attribute.
      See Also:
        `getSymbolicName()`
      Generated:

    - #### getTransition

          TypedTransition getTransition()

      Returns the value of the 'Transition' container reference. It is bidirectional and its opposite is '`Parameters`'.

      If the meaning of the 'Transition' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Transition' container reference.
      See Also:
        `setTransition(TypedTransition)`, `AutomatonPackage.getParameter_Transition()`, `TypedTransition.getParameters()`
      Generated:
      Model:
        opposite="parameters" required="true" transient="false"

    - #### setTransition

          void setTransition(TypedTransition value)

      Sets the value of the '`Transition`' container reference.
      Parameters:
        `value` - the new value of the 'Transition' container reference.
      See Also:
        `getTransition()`
      Generated: